# *******************************************************
# *                                                     *
# *     Pro VCL Extensions Library                      *
# *     MAKE script (version for Delphi 16-bit)         *
# *                                                     *
# *     Copyright (c) 1996-98 by Dmitry G. Barabash     *
# *                                                     *
# *******************************************************

# This MAKE script requires Borland MAKE Version 3.7 or later (MAKE.EXE),
# Borland Resource Compiler Version 4.0 or later (BRCC.EXE).

# The script assumes that DCC.EXE and BRCC.EXE are present on the current
# search path -- if this is not the case, modify the DCC and BRCC macros
# below to reflect the location of these executables.

# The LIB macros define the output directory for binaries and
# compiled units.

DCC = dcc -q
BRCC = brcc
LIB = lib\delphi16


# Implicit rule

default: \
$(LIB)\proutils.dcu \
$(LIB)\promedia.dcu \
$(LIB)\proconst.dcu \
$(LIB)\proconst.r16 \
$(LIB)\prolists.dcu \
$(LIB)\proctrls.dcu \
$(LIB)\provcl.dcu   \
$(LIB)\prochlst.dcu \
$(LIB)\prochlst.r16 \
$(LIB)\proclgrd.dcu \
$(LIB)\prodlgs.dcu  \
$(LIB)\prodlgs.r16  \
$(LIB)\procalc.dcu  \
$(LIB)\prodbctl.dcu \
$(LIB)\proabout.dcu \
$(LIB)\protlbed.dcu \
$(LIB)\proreg.dcu   \
$(LIB)\proreg.r16


$(LIB)\proutils.dcu: source\proutils.pas source\pro.inc
 $(DCC) source\proutils -e$(LIB)

$(LIB)\promedia.dcu: source\promedia.pas source\pro.inc
 $(DCC) source\promedia -e$(LIB)

$(LIB)\proconst.dcu: source\proconst.pas source\pro.inc
 $(DCC) source\proconst -r$(LIB) -e$(LIB)

$(LIB)\proconst.r16: source\resource\proconst.rc source\proconst.pas
 $(BRCC) source\resource\proconst.rc -fo$(LIB)\proconst.r16

$(LIB)\prolists.dcu: source\prolists.pas source\pro.inc \
$(LIB)\proconst.dcu
 $(DCC) source\prolists -u$(LIB) -e$(LIB)

$(LIB)\proctrls.dcu: source\proctrls.pas source\pro.inc \
$(LIB)\proconst.dcu
 $(DCC) source\proctrls -u$(LIB) -e$(LIB)

$(LIB)\provcl.dcu: source\provcl.pas source\pro.inc $(LIB)\proctrls.dcu
 $(DCC) source\provcl -u$(LIB) -e$(LIB)

$(LIB)\prochlst.dcu: source\prochlst.pas source\pro.inc \
$(LIB)\proctrls.dcu
 $(DCC) source\prochlst -u$(LIB) -r$(LIB) -e$(LIB)

$(LIB)\prochlst.r16: source\resource\prochlst.rc
 $(BRCC) source\resource\prochlst.rc -fo$(LIB)\prochlst.r16

$(LIB)\proclgrd.dcu: source\proclgrd.pas source\pro.inc \
$(LIB)\proctrls.dcu
 $(DCC) source\proclgrd -u$(LIB) -e$(LIB)

$(LIB)\prodlgs.dcu: source\prodlgs.pas source\pro.inc \
$(LIB)\proconst.dcu $(LIB)\proctrls.dcu
 $(DCC) source\prodlgs -u$(LIB) -r$(LIB) -e$(LIB)

$(LIB)\prodlgs.r16: source\resource\prodlgs.rc
 $(BRCC) source\resource\prodlgs.rc -fo$(LIB)\prodlgs.r16

$(LIB)\procalc.dcu: source\procalc.pas source\procalc.dfm source\pro.inc \
$(LIB)\proconst.dcu $(LIB)\proctrls.dcu $(LIB)\prodlgs.dcu
 $(DCC) source\procalc -u$(LIB) -e$(LIB)
 copy source\procalc.dfm $(LIB) > nul

$(LIB)\prodbctl.dcu: source\prodbctl.pas source\pro.inc \
$(LIB)\proctrls.dcu
 $(DCC) source\prodbctl -u$(LIB) -e$(LIB)

$(LIB)\proabout.dcu: source\proabout.pas source\proabout.dfm source\pro.inc \
$(LIB)\proctrls.dcu
 $(DCC) source\proabout -u$(LIB) -e$(LIB)
 copy source\proabout.dfm $(LIB) > nul

$(LIB)\protlbed.dcu: source\protlbed.pas source\protlbed.dfm source\pro.inc \
$(LIB)\proctrls.dcu $(LIB)\provcl.dcu
 $(DCC) source\protlbed -u$(LIB) -e$(LIB)
 copy source\protlbed.dfm $(LIB) > nul

$(LIB)\proreg.dcu: source\proreg.pas source\pro.inc \
$(LIB)\proutils.dcu \
$(LIB)\provcl.dcu   \
$(LIB)\promedia.dcu \
$(LIB)\proconst.dcu \
$(LIB)\proconst.r16 \
$(LIB)\prolists.dcu \
$(LIB)\proctrls.dcu \
$(LIB)\prochlst.dcu \
$(LIB)\prochlst.r16 \
$(LIB)\proclgrd.dcu \
$(LIB)\prodlgs.dcu  \
$(LIB)\prodlgs.r16  \
$(LIB)\procalc.dcu  \
$(LIB)\prodbctl.dcu \
$(LIB)\proabout.dcu \
$(LIB)\protlbed.dcu
 $(DCC) source\proreg -u$(LIB) -e$(LIB)

$(LIB)\proreg.r16: source\resource\proreg.rc \
source\icons\prolabel.bmp \
source\icons\proclock.bmp \
source\icons\probtn.bmp   \
source\icons\prospbtn.bmp \
source\icons\prolbox.bmp  \
source\icons\prochlst.bmp \
source\icons\propanel.bmp \
source\icons\probordr.bmp \
source\icons\protlbar.bmp \
source\icons\proclgrd.bmp \
source\icons\prodrdlg.bmp \
source\icons\proconfm.bmp \
source\icons\prowarng.bmp \
source\icons\proinfo.bmp  \
source\icons\prostop.bmp  \
source\icons\propassw.bmp \
source\icons\prologin.bmp \
source\icons\proiview.bmp \
source\icons\procalc.bmp  \
source\icons\prodbtxt.bmp \
source\icons\prodblbx.bmp
 $(BRCC) source\resource\proreg.rc -fo$(LIB)\proreg.r16
